# Note:  The signature check for this perl dist. is disabled by default, as ir
# requires network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling the test, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.

Name:           perl-Term-ProgressBar
Version:        2.09
Release:        10%{?dist}
Summary:        Provide a progress meter on a standard terminal
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Term-ProgressBar/
Source0:        http://www.cpan.org/authors/id/F/FL/FLUFFY/Term-ProgressBar-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Class::MethodMaker) >= 1.02
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Term::ReadKey) >= 2.14

%{?_with_network_tests:BuildRequires: perl(Module::Signature) }

## cpanspec generated -- left for informational purposes...
#Requires:       perl(Class::MethodMaker) >= 1.02
Requires:       perl(Term::ReadKey) >= 2.14

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Term::ProgressBar provides a simple progress bar on the terminal, to let
the user know that something is happening, roughly how much stuff has been
done, and maybe an estimate at how long remains.

%prep
%setup -q -n Term-ProgressBar-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# nix signature check if we're not building with network tests...
%{!?_with_network_tests: rm t/0-signature.t }

# if we are, get rid of files not in MANIFEST
%{?_with_network_tests: rm debug*.list }

./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS Changes README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jan 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.09-10
- add missing requirement on Term::ReadKey
- Related: rhbz#665417

* Wed Jan 12 2011 Matthew Booth <mbooth@redhat.com> - 2.09-9
- Import from EPEL

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.09-8
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 2.09-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.09-4
- Rebuild for perl 5.10 (again)

* Mon Jan 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.09-3
- rebuild for new perl

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.09-2
- bump

* Sat Sep 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 2.09-1
- Specfile autogenerated by cpanspec 1.69.1.
